Description

It gets pretty tedious rekeying the BMC credentials over and over again when they are very often identical for a group of hosts.  It

would very convient if it was possible to set a default globally and/or on a hostgroups as is currently possible for the root password.

History

#1 - 11/27/2014 04:36 AM - Dominic Cleal

- Project changed from Smart Proxy to Foreman

- Category set to BMC

#2 - 07/28/2015 02:43 PM - Alex Balk

Would really like to see this happen, specifically per hardware-type. In our case, that's what differentiates user/pass combos.

Adding a user/pass manually is simply not possible at scale. A parameter would be a brilliant solution!

#3 - 09/16/2016 07:14 PM - Stefan Lasiewski

This still isn't available with Foreman 1.11.

BMC & IPMI are generally used in larger environments, and adding the BMC password to every node is quite tedious and error prone. It would be

great to have a way to automate this.

#4 - 09/22/2016 08:55 AM - Marek Hulán

With hostgroup it's quite tricky, the thing is that hostgroup does not have interfaces since it does not make sense to share info like IP, MAC for more

hosts. Maybe we could achieve that through global settings so if there's no password set it would inherit it from settings. Or if you need to have

different password per hostgroup, then maybe smart variable or hostgroup parameter?

#5 - 11/04/2016 04:57 PM - Aaron Krzywicki

Marek Hulán wrote:

With hostgroup it's quite tricky, the thing is that hostgroup does not have interfaces since it does not make sense to share info like IP, MAC for

more hosts. Maybe we could achieve that through global settings so if there's no password set it would inherit it from settings. Or if you need to

have different password per hostgroup, then maybe smart variable or hostgroup parameter?

 Would locations be easier to implement? Assigning default credentials per site would be useful for our use case.

#6 - 11/07/2016 05:09 AM - Marek Hulán

smart variable and/or parameter would work even with locations, probably the best option then

#7 - 05/27/2021 09:22 AM - Ondřej Ezr

- Bugzilla link set to 1746072
